Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Interface DataOutputStream

All Superinterfaces:
  IDLEntity, java.io.Serializable, ValueBase

All Known Implementing Classes:
  DataOutputStream

public interface DataOutputStream
extends ValueBase

Value Type definition : DataOutputStream

Author:
  OpenORB Compiler

Method Summary
`void` | `write_Abstract(java.lang.Object value)` Operation write_Abstract
`void` | `write_any_array(Any[] seq, int offset, int length)` Operation write_any_array
`void` | `write_any(Any value)` Operation write_any
`void` | `write_boolean_array(boolean[] seq, int offset, int length)` Operation write_boolean_array
`void` | `write_boolean(boolean value)` Operation write_boolean
`void` | `write_char_array(char[] seq, int offset, int length)` Operation write_char_array
`void` | `write_char(char value)` Operation write_char
`void` | `write_double_array(double[] seq, int offset, int length)` Operation write_double_array
`void` | `write_double(double value)` Operation write_double
`void` | `write_float_array(float[] seq, int offset, int length)` Operation write_float_array
`void` | `write_float(float value)` Operation write_float
`void` | `write_long_array(int[] seq, int offset, int length)` Operation write_long_array
`void` | `write_long(int value)` Operation write_long
`void` | `write_longlong_array(long[] seq, int offset, int length)` Operation write_longlong_array
`void` | `write_longlong(long value)` Operation write_longlong
`void` | `write_Object(Object value)` Operation write_Object
`void` | `write_octet_array(byte[] seq, int offset, int length)` Operation write_octet_array
`void` | `write_octet(byte value)` Operation write_octet
`void` | `write_short_array(short[] seq, int offset, int length)` Operation write_short_array
`void` | `write_short(short value)` Operation write_short
`void` | `write_string(java.lang.String value)` Operation write_string
`void` | `write_TypeCode(TypeCode value)` Operation write_TypeCode
`void` | `write_ulong_array(int[] seq, int offset, int length)` Operation write_ulong_array
`void` | `write_ulong(int value)` Operation write_ulong
`void` | `write_ulonglong_array(long[] seq, int offset, int length)` Operation write_ulonglong_array
`void` | `write_ulonglong(long value)` Operation write_ulonglong
`void` | `write_ushort_array(short[] seq, int offset, int length)` Operation write_ushort_array
`void` | `write_ushort(short value)` Operation write_ushort
`void` | `write_Value(java.io.Serializable value)` Operation write_Value
`void` | `write_wchar_array(char[] seq, int offset, int length)` Operation write_wchar_array
`void` | `write_wchar(char value)` Operation write_wchar
`void` | `write_wstring(java.lang.String value)` Operation write_wstring

Methods inherited from interface org.omg.CORBA.portable.ValueBase
`_truncatable_ids`

Method Detail

### write_any

    public void write_any(Any value)

  Operation write_any

### write_boolean

    public void write_boolean(boolean value)

  Operation write_boolean

### write_char

    public void write_char(char value)

  Operation write_char

### write_wchar

    public void write_wchar(char value)

  Operation write_wchar

### write_octet

    public void write_octet(byte value)

  Operation write_octet

### write_short

    public void write_short(short value)

  Operation write_short

### write_ushort

    public void write_ushort(short value)

  Operation write_ushort

### write_long

    public void write_long(int value)

  Operation write_long

### write_ulong

    public void write_ulong(int value)

  Operation write_ulong

### write_longlong

    public void write_longlong(long value)

  Operation write_longlong

### write_ulonglong

    public void write_ulonglong(long value)

  Operation write_ulonglong

### write_float

    public void write_float(float value)

  Operation write_float

### write_double

    public void write_double(double value)

  Operation write_double

### write_string

    public void write_string(java.lang.String value)

  Operation write_string

### write_wstring

    public void write_wstring(java.lang.String value)

  Operation write_wstring

### write_Object

    public void write_Object(Object value)

  Operation write_Object

### write_Abstract

    public void write_Abstract(java.lang.Object value)

  Operation write_Abstract

### write_Value

    public void write_Value(java.io.Serializable value)

  Operation write_Value

### write_TypeCode

    public void write_TypeCode(TypeCode value)

  Operation write_TypeCode

### write_any_array

    public void write_any_array(Any[] seq,
                                int offset,
                                int length)

  Operation write_any_array

### write_boolean_array

    public void write_boolean_array(boolean[] seq,
                                    int offset,
                                    int length)

  Operation write_boolean_array

### write_char_array

    public void write_char_array(char[] seq,
                                 int offset,
                                 int length)

  Operation write_char_array

### write_wchar_array

    public void write_wchar_array(char[] seq,
                                  int offset,
                                  int length)

  Operation write_wchar_array

### write_octet_array

    public void write_octet_array(byte[] seq,
                                  int offset,
                                  int length)

  Operation write_octet_array

### write_short_array

    public void write_short_array(short[] seq,
                                  int offset,
                                  int length)

  Operation write_short_array

### write_ushort_array

    public void write_ushort_array(short[] seq,
                                   int offset,
                                   int length)

  Operation write_ushort_array

### write_long_array

    public void write_long_array(int[] seq,
                                 int offset,
                                 int length)

  Operation write_long_array

### write_ulong_array

    public void write_ulong_array(int[] seq,
                                  int offset,
                                  int length)

  Operation write_ulong_array

### write_ulonglong_array

    public void write_ulonglong_array(long[] seq,
                                      int offset,
                                      int length)

  Operation write_ulonglong_array

### write_longlong_array

    public void write_longlong_array(long[] seq,
                                     int offset,
                                     int length)

  Operation write_longlong_array

### write_float_array

    public void write_float_array(float[] seq,
                                  int offset,
                                  int length)

  Operation write_float_array

### write_double_array

    public void write_double_array(double[] seq,
                                   int offset,
                                   int length)

  Operation write_double_array

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD